# StringProperty (dapr-sdk-parent 1.10.0 API)

Package io.dapr.config

## Class StringProperty

- java.lang.Object
- - io.dapr.config.Property<String>
  - - io.dapr.config.StringProperty

    public class StringProperty
    extends Property<String>

String configuration property.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `parse​(String value)` Parses the value to the specific type.

### Methods inherited from class io.dapr.config.Property

`get, getEnvName, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    protected String parse​(String value)

Parses the value to the specific type.

Specified by:
  `parse` in class `Property<String>`
Parameters:
  `value` - String value to be parsed.
Returns:
  Value in the specific type.